Package org.springframework.http.codec

# Interface CodecConfigurer.MultipartCodecs

Enclosing interface:
  CodecConfigurer

public static interface CodecConfigurer.MultipartCodecs
Registry and container for multipart HTTP message writers.

Since:
  6.0.3

## Method Summary

Modifier and Type
Method
Description
`CodecConfigurer.MultipartCodecs`
`encoder(org.springframework.core.codec.Encoder<?> encoder)`
Add a Part `Encoder`, internally wrapped with `EncoderHttpMessageWriter`.
`CodecConfigurer.MultipartCodecs`
`writer(HttpMessageWriter<?> writer)`
Add a Part `HttpMessageWriter`.

## Method Details

### encoder

CodecConfigurer.MultipartCodecs encoder(org.springframework.core.codec.Encoder<?> encoder)
Add a Part `Encoder`, internally wrapped with `EncoderHttpMessageWriter`.

Parameters:
  `encoder` - the encoder to add

### writer

CodecConfigurer.MultipartCodecs writer(HttpMessageWriter<?> writer)
Add a Part `HttpMessageWriter`. For writers of type `EncoderHttpMessageWriter` consider using the shortcut `encoder(Encoder)` instead.

Parameters:
  `writer` - the writer to add